Index: trunk/source/processes/hadronic/management/src/G4EnergyRangeManager.cc
===================================================================
--- trunk/source/processes/hadronic/management/src/G4EnergyRangeManager.cc	(revision 968)
+++ trunk/source/processes/hadronic/management/src/G4EnergyRangeManager.cc	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EnergyRangeManager.cc,v 1.15 2006/06/29 19:58:21 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
  // Hadronic Process: Energy Range Manager
Index: trunk/source/processes/hadronic/management/src/G4HadronicProcessStore.cc
===================================================================
--- trunk/source/processes/hadronic/management/src/G4HadronicProcessStore.cc	(revision 968)
+++ trunk/source/processes/hadronic/management/src/G4HadronicProcessStore.cc	(revision 1007)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4HadronicProcessStore.cc,v 1.12 2009/02/25 16:29:03 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4HadronicProcessStore.cc,v 1.7 2008/10/22 07:58:20 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 // -------------------------------------------------------------------
@@ -39,9 +39,7 @@
 //
 // Modifications:
-// 23.01.2009 V.Ivanchenko add destruction of processes
+//
 //
 // Class Description:
-// Singleton to store hadronic processes, to provide access to processes
-// and to printout information about processes
 //
 // -------------------------------------------------------------------
@@ -55,6 +53,4 @@
 #include "G4Electron.hh"
 #include "G4Proton.hh"
-#include "G4HadronicInteractionRegistry.hh"
-#include "G4CrossSectionDataSetRegistry.hh"
 
 G4HadronicProcessStore* G4HadronicProcessStore::theInstance = 0;
@@ -75,40 +71,9 @@
 G4HadronicProcessStore::~G4HadronicProcessStore()
 {
-  Clean();
-  G4HadronicInteractionRegistry::Instance()->Clean();
-  G4CrossSectionDataSetRegistry::Instance()->Clean();
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo.....
-
-void G4HadronicProcessStore::Clean()
-{
-  G4int i;
-  //G4cout << "G4HadronicProcessStore::Clean() Nproc= " << n_proc
-  //	 << "  Nextra= " << n_extra << G4endl;
-  if(n_proc > 0) {
-    for (i=0; i<n_proc; i++) {
-      if( process[i] ) {
-        //G4cout << "G4HadronicProcessStore::Clean() delete hadronic " << i << G4endl;
-	//G4cout <<  process[i]->GetProcessName() << G4endl;
-	delete process[i];
-	process[i] = 0;
-      }
-    }
-  }
-  if(n_extra > 0) {
-    for(i=0; i<n_extra; i++) {
-      if(extraProcess[i]) {
-        //G4cout << "G4HadronicProcessStore::Clean() delete extra "  
-	//       << i << G4endl;
-	//G4cout << extraProcess[i]->GetProcessName() << G4endl;
-	delete extraProcess[i];
-        extraProcess[i] = 0;
-      }
-    }
-  }
-  //G4cout << "G4HadronicProcessStore::Clean() done" << G4endl; 
-  n_extra = 0;
-  n_proc = 0;
+  /*
+  for (G4int i=0; i<n_proc; i++) {
+    if( process[i] ) delete process[i];
+  }
+  */
 }
 
@@ -360,11 +325,6 @@
 void G4HadronicProcessStore::Register(G4HadronicProcess* proc) 
 { 
-  if(0 < n_proc) {
-    for(G4int i=0; i<n_proc; i++) {
-      if(process[i] == proc) return;
-    }
-  }
-  //G4cout << "G4HadronicProcessStore::Register hadronic " << n_proc
-  //	 << "  " << proc->GetProcessName() << G4endl;
+  for(G4int i=0; i<n_proc; i++) {if(process[i] == proc) return;}
+    
   n_proc++;
   process.push_back(proc);
@@ -424,9 +384,8 @@
 void G4HadronicProcessStore::DeRegister(G4HadronicProcess* proc)
 {
-  if(0 == n_proc) return;
   for(G4int i=0; i<n_proc; i++) {
     if(process[i] == proc) {
       process[i] = 0;
-      return;
+      break;
     }
   }
@@ -437,11 +396,5 @@
 void G4HadronicProcessStore::RegisterExtraProcess(G4VProcess* proc)
 {
-  if(0 < n_extra) {
-    for(G4int i=0; i<n_extra; i++) {
-      if(extraProcess[i] == proc) return;
-    }
-  }
-  //G4cout << "Extra Process: " << n_extra << "  " <<  proc->GetProcessName() 
-  //	 << "  " << proc << G4endl;
+  for(G4int i=0; i<n_extra; i++) {if(extraProcess[i] == proc) return;}
     
   n_extra++;
@@ -484,11 +437,8 @@
 void G4HadronicProcessStore::DeRegisterExtraProcess(G4VProcess* proc)
 {
-  //G4cout << "Deregister Extra Process: " << proc << "   " << proc->GetProcessName() << G4endl;
-  if(0 == n_extra) return;
   for(G4int i=0; i<n_extra; i++) {
     if(extraProcess[i] == proc) {
       extraProcess[i] = 0;
-      //G4cout << "Extra Process: " << i << " is deregisted " << G4endl;
-      return;
+      break;
     }
   }
